/*
Header file for CRock class
 */

#ifndef _ROCK_H_
#define _ROCK_H_

#include "Helpers/texture.h"
#include "face.h"

class CRock : public CObject
{
	public:
	void Draw(void);
		CRock();
		virtual ~CRock();
		void AddFace(CFace* face);
		CList <CFace *, CFace *> * GetFaces(){ return &m_faces;};
		// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIslandDoc)
	public:
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL
	protected:
	
	//will contain a list of faces that form us
	CList <CFace *, CFace *> m_faces;
	
};

#endif // _ROCK_H_